<template>
  <div class="folders">
    <modal name="pwd-modal">
      <h4>Déverrouillez le dossier</h4>
      <div class="input-container">
        <label for="pwdFolder"><b>Mot de passe</b></label>
        <input
          type="password"
          placeholder="Entrez le mot de passe"
          name="pwdFolder"
          required
          v-model="pwdFolder"
        />
      </div>
      <div class="error" v-if="isError">Accès refusé, veuillez réessayer</div>
      <button class="button" @click="testPwd()">Déverrouiller</button>
    </modal>

    <h3>Documents</h3>
    <div class="folderlist">
      <router-link to="/journal-de-bord/plan" class="blueprint">
        <i class="fa-solid fa-folder"></i>
        <p>Plan</p>
      </router-link>

      <router-link to="/journal-de-bord/enregistrements" class="fichiersaudio">
        <i class="fa-solid fa-folder"></i>
        <p>Enregistrements</p>
      </router-link>

      <router-link to="/journal-de-bord/photos-groupe" class="photosgroup">
        <i class="fa-solid fa-folder"></i>
        <p>Photos du groupe</p>
      </router-link>

      <router-link to="/journal-de-bord/logs" class="logs">
        <i class="fa-solid fa-folder"></i>
        <p>Journal de bord</p>
      </router-link>

      <div class="dossierprive" @click="showModal()" v-if="!isUnlockDossierPrive">
        <i class="fa-solid fa-lock"></i>
        <p>Dossier privé</p>
      </div>

      <router-link to="/journal-de-bord/dossier-prive" class="private" v-if="isUnlockDossierPrive">
        <i class="fa-solid fa-folder"></i>
        <p>Dossier privé</p>
      </router-link>
    </div>
  </div>
</template>

<script>
import Vue from "vue";
import VModal from "vue-js-modal";
Vue.use(VModal);

export default {
  name: "Folders",
  methods: {
    showModal() {
      this.$modal.show("pwd-modal");
    },
    hideModal() {
      this.$modal.hide("pwd-modal");
    },
    testPwd() {
      this.isError = false;
      if (this.pwdFolder == "toutestfaux") {
        this.$cookie.set("dossierprive", true, "6m");
        this.$router.push({ path: "/journal-de-bord/dossier-prive" });
      } else {
        this.isError = true;
      }
    },
  },
  data() {
    return {
      isUnlockDossierPrive: false,
      pwdFolder: "",
      isError: false,
    };
  },
  mounted() {
    this.isUnlockDossierPrive = this.$cookie.get("dossierprive");
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style>
@import "../assets/css/dossier.css";

.box {
  padding-top: 30px!important;
}
</style>
